Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

perl v5.6.1 DBI , DBD problem , HPUX B.11.00

_____________________
Occasional Advisor

perl v5.6.1 DBI , DBD problem , HPUX B.11.00

Hi ,

I am trying to install DBI , the DBI install is fine , but the DBD is not compiling correctly.

I don't wish to create a static link perl.

any help is greatly appreciated.

thanks
Michael abootorab
hello
11 REPLIES
MANOJ SRIVASTAVA
Honored Contributor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

 
_____________________
Occasional Advisor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

recompiling perl is not an option ( I can't do it) , can I download it from somewhere?

Michael
hello
MANOJ SRIVASTAVA
Honored Contributor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

Micheal


If you have not compiled it using the dynamic libraries tehn you ahve to recompile it , in case can you please post perl -V o/p . And the h/w, O/s type so that I may be help you more.

I ahve the version for HPUX 11.00 on N , L and V calss using C compiler.

Manoj Srivastava
_____________________
Occasional Advisor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

perl version follows :

/opt/perl/bin/perl -V
Summary of my perl5 (revision 5.0 version 6 subversion 1) configuration:
Platform:
osname=hpux, osvers=11.00, archname=PA-RISC1.1-thread-multi
uname='hp-ux llbertha b.11.00 u 9000800 2002402864 unlimited-user license '
config_args='-des -Dcf_by=ActiveState -Dcf_email=ActivePerl@ActiveState.com -Uinstallusrbinperl -Dusethreads -Duseithreads -Duse
largefiles -Dinc_version_list=5.6.0/$archname 5.6.0 -Dcc=gcc -Accflags=-mpa-risc-1-1 -fPIC -Dcccdlflags=-fPIC -Dd_attribut=undef -Da
rchname=PA-RISC1.1 -Dprefix=/opt/perl'
hint=recommended, useposix=true, d_sigaction=define
usethreads=define use5005threads=undef useithreads=define usemultiplicity=define
useperlio=undef d_sfio=undef uselargefiles=define usesocks=undef
use64bitint=undef use64bitall=undef uselongdouble=undef
Compiler:
cc='gcc', ccflags ='-D_POSIX_C_SOURCE=199506L -D_HPUX_SOURCE -L/lib/pa1.1 -DUINT32_MAX_BROKEN -mpa-risc-1-1 -fPIC -fno-strict-al
iasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
optimize='-O',
cppflags='-D_POSIX_C_SOURCE=199506L -D_HPUX_SOURCE -L/lib/pa1.1 -DUINT32_MAX_BROKEN -mpa-risc-1-1 -fPIC -fno-strict-aliasing -I/
usr/local/include'
ccversion='', gccversion='2.9-hppa-991112', gccosandvers='hpux11.00'
intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=4321
d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
alignbytes=8, usemymalloc=n, prototype=define
Linker and Libraries:
ld='ld', ldflags =' -L/usr/local/lib'
libpth=/usr/local/lib /lib /usr/lib /usr/ccs/lib
libs=-lnsl -lnm -lndbm -lmalloc -ldld -lm -lpthread -lc -lndir -lcrypt -lsec
perllibs=-lnsl -lnm -lmalloc -ldld -lm -lpthread -lc -lndir -lcrypt -lsec
libc=/lib/libc.sl, so=sl, useshrplib=false, libperl=libperl.a
Dynamic Linking:
dlsrc=dl_hpux.xs, dlext=sl, d_dlsymun=undef, ccdlflags='-Wl,-E '
cccdlflags='-fPIC', lddlflags='-b -L/usr/local/lib'


Characteristics of this binary (from libperl):
Compile-time options: MULTIPLICITY USE_ITHREADS USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
Locally applied patches:
ActivePerl Build 627
Built under hpux
Compiled at Jun 20 2001 21:42:53
@INC:
/opt/perl/lib/5.6.1/PA-RISC1.1-thread-multi
/opt/perl/lib/5.6.1
/opt/perl/lib/site_perl/5.6.1/PA-RISC1.1-thread-multi
/opt/perl/lib/site_perl/5.6.1
/opt/perl/lib/site_perl

thanks michael
hello
Brian Crabtree
Honored Contributor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

Can you post the errors that you are getting when trying to build DBD? I just went through a major task installing perl and building DBD and DBI.

One thing that you have to do is make sure perl is linked with the pthread library initially, or DBD will not work correctly. Perl 5.005_03 works fine for this, as does perl 5.6.1.

Brian
_____________________
Occasional Advisor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

Hi,

the ops is :
uname -a
HP-UX boi236 B.11.00 D 9000/800 618389363 64-user license


the error is :

make test
cp ora_explain blib/script/ora_explain
/opt/perl/bin/perl -I/opt/perl/lib/5.6.1/PA-RISC1.1-thread-multi -I/opt/perl/lib/5.6.1 -MExtUtils::MakeMaker -e "MY->fixin(
shift)" blib/script/ora_explain
PERL_DL_NONLAZY=1 /opt/perl/bin/perl -Iblib/arch -Iblib/lib -I/opt/perl/lib/5.6.1/PA-RISC1.1-thread-multi -I/opt/perl/lib/5.
6.1 -e 'use Test::Harness qw(&runtests $verbose); $verbose=0; runtests @ARGV;' t/*.t
t/base............../usr/lib/dld.sl: Can't open shared library: libwtc8.sl
/usr/lib/dld.sl: No such file or directory
Failed to load Oracle extension and/or shared libraries:
install_driver(Oracle) failed: Can't load 'blib/arch/auto/DBD/Oracle/Oracle.sl' for module DBD::Oracle: No such file or directory at
/opt/perl/lib/5.6.1/PA-RISC1.1-thread-multi/DynaLoader.pm line 206.
at (eval 1) line 3
Compilation failed in require at (eval 1) line 3.
Perhaps a required shared library or dll isn't installed where expected
at t/base.t line 19
hello
Brian Crabtree
Honored Contributor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

You have to manually export SHLIB_PATH to $ORACLE_HOME/lib. I got this exact error. I dont know why, but for some reason DBD didn't load the shared libraries the way that they should have been (or perl didn't, and I didn't want to go there).

Also, make sure you are exporting ORACLE_USERID=/ (scott/tiger). The DBD installation connects to the database to verify that it is configured correctly.

brian
_____________________
Occasional Advisor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

hi Brian,

which version of perl , dbi ,dbd install?

where did you get the perl from?

Thanks
Michael
hello
Brian Crabtree
Honored Contributor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

DBD 1.12
DBI 1.20
Perl 5.005_03

I found that I couldn't use any of the DBI's higher than 1.20 on my system. They kept erroring everytime I did.

Brian
H.Merijn Brand (procura
Honored Contributor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

But Brian, why are you still using 5.005_03? Why not 5.6.1?
Enjoy, Have FUN! H.Merijn
_____________________
Occasional Advisor

Re: perl v5.6.1 DBI , DBD problem , HPUX B.11.00

there is something fundamentally wrong with
this and we expect HP to fix it.

Michael
hello